package com.goafanti.contract.bo;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputContract {
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String id;
	
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	uid;
	
	@Size(min = 0, max = 8, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String previousFee;
	
	@Max(value = 4, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 1, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	type;

	@Size(min = 0, max = 128, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	depict;
	
	@Max(value = 30, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	patentNum;
	
	@Max(value = 30, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	copyrightNum;
	
	@Max(value = 9999, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	cognizanceYear;
	
	@Max(value = 30, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer	techProjectNum;
	
	@Size(min = 0, max = 128, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	comment;
	
	@Max(value = 3, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer status;
	
	@Max(value = 3, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	@Min(value = 0, message = "{" + ErrorConstants.PARAM_ERROR + "}")
	private Integer contacts;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}


	public String getDepict() {
		return depict;
	}

	public void setDepict(String depict) {
		this.depict = depict;
	}

	public Integer getPatentNum() {
		return patentNum;
	}

	public void setPatentNum(Integer patentNum) {
		this.patentNum = patentNum;
	}

	public Integer getCopyrightNum() {
		return copyrightNum;
	}

	public void setCopyrightNum(Integer copyrightNum) {
		this.copyrightNum = copyrightNum;
	}

	public Integer getCognizanceYear() {
		return cognizanceYear;
	}

	public void setCognizanceYear(Integer cognizanceYear) {
		this.cognizanceYear = cognizanceYear;
	}

	public Integer getTechProjectNum() {
		return techProjectNum;
	}

	public void setTechProjectNum(Integer techProjectNum) {
		this.techProjectNum = techProjectNum;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getContacts() {
		return contacts;
	}

	public void setContacts(Integer contacts) {
		this.contacts = contacts;
	}

	public String getPreviousFee() {
		return previousFee;
	}

	public void setPreviousFee(String previousFee) {
		this.previousFee = previousFee;
	}
	
	
	
	

}
